Alokai

SapccApiReplaceOrgCartPaymentTypeRequest

Request parameters for replaceOrgCartPaymentType operation in SapccApi. SapccApiReplaceOrgCartPaymentTypeRequest

interface SapccApiReplaceOrgCartPaymentTypeRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly paymentType: string;
	readonly purchaseOrderNumber?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiReplaceOrgCartPaymentType
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiReplaceOrgCartPaymentType
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiReplaceOrgCartPaymentType
paymentTypeRequiredstringPayment type choice. Examples:card,account {string} SapccApiReplaceOrgCartPaymentType
purchaseOrderNumberOptionalstringPurchase order number to assign to the cart during the checkout process. {string} SapccApiReplaceOrgCartPaymentType
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiReplaceOrgCartPaymentType

On this page